---
updatedAt: 2026-09-21T22:06:18.000Z
agentTools:
  siteIndex: https://docs.jwplayer.com/llms.txt
  projectIndex: https://docs.jwplayer.com/platform/llms.txt
---

# Update a watchlist playlist

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "servers": [
    {
      "url": "https://api.jwplayer.com"
    }
  ],
  "info": {
    "version": "0.2",
    "title": "Management API v2",
    "description": "Customer-facing management API. This file only includes documented routes."
  },
  "security": [
    {
      "v2ApiSecret": []
    }
  ],
  "x-explorer-enabled": true,
  "x-proxy-enabled": true,
  "x-samples-enabled": true,
  "x-samples-languages": [
    "python",
    "node",
    "ruby",
    "php",
    "go",
    "java",
    "csharp"
  ],
  "paths": {
    "/v2/sites/{site_id}/playlists/{playlist_id}/watchlist_playlist/": {
      "patch": {
        "summary": "Update a watchlist playlist",
        "tags": [
          "playlists"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/siteId"
          },
          {
            "$ref": "#/components/parameters/playlistId"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/WatchlistPlaylistResourceWrite"
        },
        "responses": {
          "200": {
            "description": "Resource successfully updated",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WatchlistPlaylistResourceRead"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "404": {
            "$ref": "#/components/responses/404"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "siteId": {
        "name": "site_id",
        "description": "Unique alphanumeric ID of the site",
        "in": "path",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/ResourceId"
        }
      },
      "playlistId": {
        "name": "playlist_id",
        "description": "Unique alphanumeric ID of the playlist",
        "in": "path",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/ResourceId"
        }
      }
    },
    "schemas": {
      "CustomParamSchema": {
        "description": "User-generated key-value pairs\n\nWhen defining `custom_params`, include all custom parameters that should be associated with the target resource.\n\nWhen updating existing `custom_params`, include all `custom_params` keys with their updated values. Any `custom_params` key-value pair not included within the updated `custom_params` in the request body is [deleted](https://docs.jwplayer.com/platform/docs/stream-faq-how-can-i-delete-a-custom-parameter).\n",
        "type": "object",
        "additionalProperties": {
          "type": "string",
          "description": "A maximum of 7500 characters is permitted."
        },
        "example": {
          "param1": "value1"
        }
      },
      "PlaylistMetadata": {
        "type": "object",
        "properties": {
          "title": {
            "description": "Title of the playlist.\nWhen using JWX's HTML5 player, the playlist title is displayed in the overlay.\nA maximum of 256 characters is permitted.",
            "type": "string"
          },
          "description": {
            "description": "Description of the playlist\nA maximum of 7500 characters is permitted.",
            "type": "string"
          },
          "author": {
            "description": "Author of the playlist\nA maximum of 256 characters is permitted.",
            "type": "string"
          },
          "link": {
            "description": "URL to be associated with the playlist\nA maximum of 2048 characters is permitted.",
            "type": "string"
          },
          "custom_params": {
            "$ref": "#/components/schemas/CustomParamSchema"
          }
        }
      },
      "WatchlistPlaylistResourceRead": {
        "allOf": [
          {
            "$ref": "#/components/schemas/ResourceRead"
          },
          {
            "type": "object",
            "description": "Resource for managing a watchlist playlist",
            "properties": {
              "metadata": {
                "$ref": "#/components/schemas/PlaylistMetadata"
              }
            }
          }
        ]
      },
      "ErrorResponse": {
        "type": "array",
        "description": "One or many errors indicating that something prevented the request from being performed successfully",
        "items": {
          "type": "object",
          "properties": {
            "code": {
              "description": "Short machine-readable identifier for the error",
              "type": "string",
              "example": "error_code"
            },
            "description": {
              "description": "Human-readable message explaining the error",
              "type": "string",
              "example": "Something went wrong."
            }
          }
        }
      },
      "ResourceId": {
        "description": "Unique identifier for a resource",
        "type": "string",
        "minLength": 8,
        "maxLength": 8,
        "example": "Ny05CEfj",
        "pattern": "^[A-Za-z0-9]+$"
      },
      "ResourceRead": {
        "type": "object",
        "properties": {
          "schema": {
            "type": "string",
            "example": "https://schema.jwplayer.com/types/thumbnail.json"
          },
          "id": {
            "$ref": "#/components/schemas/ResourceId"
          },
          "created": {
            "type": "string",
            "description": "Date and time at which the resource was created",
            "example": "2019-09-25T15:29:11.042095+00:00"
          },
          "last_modified": {
            "type": "string",
            "description": "Date and time at which the resource was most recently modified",
            "example": "2019-09-25T15:29:11.042095+00:00"
          },
          "type": {
            "type": "string",
            "description": "Name of the type of resource."
          },
          "relationships": {
            "type": "object",
            "description": "Ancilliary resources associated to the primary resource being read"
          }
        }
      }
    },
    "securitySchemes": {
      "v2ApiSecret": {
        "description": "V2 API secret used for authentication",
        "type": "apiKey",
        "in": "header",
        "name": "Authorization"
      }
    },
    "requestBodies": {
      "WatchlistPlaylistResourceWrite": {
        "description": "Resource for managing a watchlist playlist",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "metadata": {
                  "$ref": "#/components/schemas/PlaylistMetadata"
                }
              }
            }
          }
        }
      }
    },
    "responses": {
      "400": {
        "description": "Invalid JSON request body",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      },
      "404": {
        "description": "Resource with ID supplied does not exist in account and object namespace",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorResponse"
            }
          }
        }
      }
    }
  }
}
```

# Sibling pages

* [List playlists](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists.md)
* [Get a playlist](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists-playlist-id.md)
* [Delete a playlist](https://docs.jwplayer.com/platform/reference/delete_v2-sites-site-id-playlists-playlist-id.md)
* [Create a manual playlist](https://docs.jwplayer.com/platform/reference/post_v2-sites-site-id-playlists-manual-playlist.md)
* [Get a manual playlist](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists-playlist-id-manual-playlist.md)
* [Update a manual playlist](https://docs.jwplayer.com/platform/reference/patch_v2-sites-site-id-playlists-playlist-id-manual-playlist.md)
* [Delete a manual playlist](https://docs.jwplayer.com/platform/reference/delete_v2-sites-site-id-playlists-playlist-id-manual-playlist.md)
* [Create a dynamic playlist](https://docs.jwplayer.com/platform/reference/post_v2-sites-site-id-playlists-dynamic-playlist.md)
* [Get a dynamic playlist](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists-playlist-id-dynamic-playlist.md)
* [Update a dynamic playlist](https://docs.jwplayer.com/platform/reference/patch_v2-sites-site-id-playlists-playlist-id-dynamic-playlist.md)
* [Delete a dynamic playlist](https://docs.jwplayer.com/platform/reference/delete_v2-sites-site-id-playlists-playlist-id-dynamic-playlist.md)
* [Create an article matching playlist](https://docs.jwplayer.com/platform/reference/post_v2-sites-site-id-playlists-article-matching-playlist.md)
* [Get an article matching playlist](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists-playlist-id-article-matching-playlist.md)
* [Update an article matching playlist](https://docs.jwplayer.com/platform/reference/patch_v2-sites-site-id-playlists-playlist-id-article-matching-playlist.md)
* [Delete an article matching playlist](https://docs.jwplayer.com/platform/reference/delete_v2-sites-site-id-playlists-playlist-id-article-matching-playlist.md)
* [Create a search playlist](https://docs.jwplayer.com/platform/reference/post_v2-sites-site-id-playlists-search-playlist.md)
* [Get a search playlist](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists-playlist-id-search-playlist.md)
* [Update a search playlist](https://docs.jwplayer.com/platform/reference/patch_v2-sites-site-id-playlists-playlist-id-search-playlist.md)
* [Delete a search playlist](https://docs.jwplayer.com/platform/reference/delete_v2-sites-site-id-playlists-playlist-id-search-playlist.md)
* [Create a recommendations playlist](https://docs.jwplayer.com/platform/reference/post_v2-sites-site-id-playlists-recommendations-playlist.md)
* [Get a recommendations playlist](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists-playlist-id-recommendations-playlist.md)
* [Update a recommendations playlist](https://docs.jwplayer.com/platform/reference/patch_v2-sites-site-id-playlists-playlist-id-recommendations-playlist.md)
* [Delete a recommendations playlist](https://docs.jwplayer.com/platform/reference/delete_v2-sites-site-id-playlists-playlist-id-recommendations-playlist.md)
* [Create a watchlist playlist](https://docs.jwplayer.com/platform/reference/post_v2-sites-site-id-playlists-watchlist-playlist.md)
* [Get a watchlist playlist](https://docs.jwplayer.com/platform/reference/get_v2-sites-site-id-playlists-playlist-id-watchlist-playlist.md)
* [Delete a watchlist playlist](https://docs.jwplayer.com/platform/reference/delete_v2-sites-site-id-playlists-playlist-id-watchlist-playlist.md)